## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%if "%{_vendor}" == "debbuild"
%global python3_pkgversion 3
%endif

%global pypi_name podman
%global desc %{pypi_name} is a library of bindings to use the RESTful API for Podman.

%global pypi_dist 4
%global built_tag_strip 4.2.0

Name: python-%{pypi_name}
Epoch: 3
Version: 4.2.0
%if "%{_vendor}" == "debbuild"
Packager: Podman Debbuild Maintainers <https://github.com/orgs/containers/teams/podman-debbuild-maintainers>
License: ASL-2.0
Release: 0%{?dist}
%else
License: ASL 2.0
Release: %autorelease
%endif
Summary: RESTful API for Podman
URL: https://github.com/containers/%{pypi_name}-py
Source0: %{url}/releases/download/v%{built_tag_strip}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

%description 
%desc

%package -n python%{python3_pkgversion}-%{pypi_name}
%if "%{_vendor}" == "debbuild"
BuildRequires: git
BuildRequires: python%{python3_pkgversion}-dev
%else
BuildRequires: git-core
BuildRequires: python%{python3_pkgversion}-devel
%endif
%if ("%{_vendor}" == "debbuild") || (! 0%{?fedora} && 0%{?rhel} <= 8)
BuildRequires: python%{python3_pkgversion}-pytoml
BuildRequires: python%{python3_pkgversion}-requests
BuildRequires: python%{python3_pkgversion}-setuptools
Requires: python%{python3_pkgversion}-pytoml
Requires: python%{python3_pkgversion}-requests
%else
BuildRequires: pyproject-rpm-macros
%endif
%if "%{_vendor}" == "debbuild"
BuildRequires: python%{python3_pkgversion}-xdg
Requires: python%{python3_pkgversion}-xdg
%else
%if 0%{?centos} <= 8
BuildRequires: python%{python3_pkgversion}-pyxdg
Requires: python%{python3_pkgversion}-pyxdg
%endif
%if 0%{?fedora} == 35
BuildRequires: python%{python3_pkgversion}-toml
Requires: python%{python3_pkgversion}-toml
%endif
%endif
Provides: %{pypi_name}-py = %{version}-%{release}
Provides: python%{python3_pkgversion}dist(%{pypi_name}) = %{pypi_dist}
Provides: python%{python3_version}dist(%{pypi_name}) = %{pypi_dist}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%desc

%prep
%autosetup -Sgit -n %{pypi_name}-%{built_tag_strip}

%if 0%{?fedora} || 0%{?rhel} >= 9
%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}
%endif

%build
export PBR_VERSION="0.0.0"
%if "%{_vendor}" == "debbuild"
python3 setup.py sdist bdist
%else
%if 0%{?rhel} <= 8
%py3_build
%else
%pyproject_wheel
%endif
%endif

%install
export PBR_VERSION="0.0.0"
%if "%{_vendor}" == "debbuild"
python3 setup.py install --root %{buildroot}
%else
%if 0%{?rhel} <= 8
%py3_install
%else
%pyproject_install
%pyproject_save_files %{pypi_name}
%endif
%endif

%if 0%{?rhel} <= 8
%files -n python3-podman
%license LICENSE
%doc README.md
%{python3_sitelib}/podman/*
%{python3_sitelib}/podman-*/*
%else
%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%endif

%changelog
* Fri Sep 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-3
- Resolves: #2120337

* Wed Aug 17 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.2.0-2
- use easier tag macros to make both fedora and debbuild happy

* Wed Aug 10 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:4.2.0-1
- auto bump to v4.2.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 3:4.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-9
- fix vendor conditional macro

* Tue Jun 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- adjust dependencies

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 3:4.0.0-8
- Rebuilt for Python 3.11

* Fri May 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-7
- build deb packages using debbuild

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-6
- adjust toml dep for f35

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-5
- centos8 conditionals for file listings

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-4
- adjust build conditionals

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-3
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix error in conditionals

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- special conditionals only for rhel8

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-2
- adjust dependencies for centos on podman4 copr

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-1
- bump to v4.0.0

* Thu Jan 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.2.1-3
- switch to autospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3:3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:3.2.1-1
- python-podman-3:3.2.1-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.2.0-2
- update build dir

* Mon Aug 16 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:3.2.0-1
- python-podman-3:3.2.0-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-4
- update build url format

* Thu Aug 12 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-3
- update macros for rhcontainerbot autobuilds

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 3:3.1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-1
- python-podman-3:3.1.2.4-5
- First build shipped in Fedora
